THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2024-39546

Junos OS Evolved: Local low-privilege user can gain root permissions leading to privilege escalation

Assignerjuniper
Reserved2024-06-25
Published2024-07-11
Updated2024-07-13

Description

A Missing Authorization vulnerability in the Socket Intercept (SI) command file interface of Juniper Networks Junos OS Evolved allows an authenticated, low-privilege local attacker to modify certain files, allowing the attacker to cause any command to execute with root privileges leading to privilege escalation ultimately compromising the system.  This issue affects Junos OS Evolved:  * All versions prior to 21.2R3-S8-EVO,  * 21.4 versions prior to  21.4R3-S6-EVO,  * 22.1 versions prior to 22.1R3-S5-EVO,  * 22.2 versions prior to 22.2R3-S3-EVO,  * 22.3 versions prior to 22.3R3-S3-EVO,  * 22.4 versions prior to 22.4R3-EVO,  * 23.2 versions prior to 23.2R2-EVO.



HIGH: 7.3CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H
HIGH: 7.0CVSS:4.0/AV:L/AC:L/AT:N/PR:L/UI:A/VC:H/VI:H/VA:H/SC:N/SI:N/SA:N

Problem types

CWE-862: Missing Authorization

Product status

Default status
unaffected

Any version before 21.2R3-S8-EVO
affected

21.4 before 21.4R3-S6-EVO
affected

22.1 before 22.1R3-S5-EVO
affected

22.2 before 22.2R3-S3-EVO
affected

22.3 before 22.3R3-S3-EVO
affected

22.4 before 22.4R3-EVO
affected

23.2 before 23.2R2-EVO
affected

Timeline

2024-04-10:Initial Publication

References

https://supportportal.juniper.net/JSA83008 vendor-advisory

cve.org CVE-2024-39546

nvd.nist.gov CVE-2024-39546

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-39546
© Copyright 2024 THREATINT. Made in Cyprus with +